Bug 894337 - lvconvert does not support --nosync option for conversion from linear to mirror.
lvconvert does not support --nosync option for conversion from linear to mir...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Earl Brassow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 08:43 EST by Zdenek Kabelac
Modified: 2013-08-27 17:59 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 17:59:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2013-01-11 08:43:35 EST
Description of problem:

lvconvert should support --nosync option like  lvcreate.

Version-Release number of selected component (if applicable):
2.02.98

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2013-04-03 11:09:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Jonathan Earl Brassow 2013-08-27 17:59:58 EDT
lvconvert should not support the --nosync option.  We cannot determine if there is useful information on the LV before the conversion.  We must assume that there is - forcing us to sync.

When creating an LV, we know that it is unwritten; therefore it is ok to allow --nosync because anything written from then on will be consistent.  Same thing can be said for extending a mirror/RAID LV - it is possible to skip the sync because no data has been written to the extension yet.  This does not apply to up-converting a linear (or adding a leg to a mirror/RAID1 array either).

Note You need to log in before you can comment on or make changes to this bug.